;; This file:
;;   http://angg.twu.net/elisp/ee-keymaps.el.html
;;   http://angg.twu.net/elisp/ee-keymaps.el
;;           (find-angg "elisp/ee-keymaps.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (defun e () (interactive) (find-angg "elisp/ee-keymaps.el"))


(defun ee-keymaps-:s    (symbols) (ee-sort-symbols symbols))
(defun ee-keymaps-:-map (symbols) (--map `(ee-intern "%s-map" ',it) symbols))
(defun ee-keymaps-:-map (symbols) (--map  (ee-intern "%s-map"   it) symbols))
(defun ee-keymaps-:b    (symbols) (--filter (boundp it) symbols))
(defun ee-keymaps-:nb   (symbols) (--filter (not (boundp it)) symbols))
(defun ee-keymaps-:sv   (symbols) (--filter (symbol-value it) symbols))
(defun ee-keymaps-:car  (symbols) (--map (car it) symbols))
(defun ee-keymaps-:hv   (symbols) (--map `(find-hvariable ',it) symbols))
(defun ee-keymaps-:ev   (symbols) (--map `(find-evariable ',it) symbols))
(defun ee-keymaps-:ef   (symbols) (--map `(find-efunction ',it) symbols))

(defun ee-keymaps (&rest kws)
  (let (o)
    (dolist (kw kws)
      (cond ((eq kw :mml)  (setq o minor-mode-alist))
            ((eq kw :mmal) (setq o minor-mode-map-alist))
	    ((eq kw :s)    (setq o (ee-keymaps-:s    o)))
	    ((eq kw :car)  (setq o (ee-keymaps-:car  o)))
	    ((eq kw :b)    (setq o (ee-keymaps-:b    o)))
	    ((eq kw :nb)   (setq o (ee-keymaps-:nb   o)))
	    ((eq kw :sv)   (setq o (ee-keymaps-:v    o)))
	    ((eq kw :s)    (setq o (ee-keymaps-:s    o)))
	    ((eq kw :-map) (setq o (ee-keymaps-:-map o)))
	    ((eq kw :hv)   (setq o (ee-keymaps-:hv   o)))
	    ((eq kw :ev)   (setq o (ee-keymaps-:ev   o)))
	    ((eq kw :ef)   (setq o (ee-keymaps-:ef   o)))
	    (t (error "Unkown keyword"))))
    o))

;; (find-eppp (ee-keymaps))
;; (find-eppp (ee-keymaps :mml))
;; (find-eppp (ee-keymaps :mmal))
;; (find-eppp (ee-keymaps :mmal :car))
;; (find-eppp (ee-keymaps :mmal :car :s))
;; (find-eppp (ee-keymaps :mmal :car :s :sv))
;; (find-eppp (ee-keymaps :mmal :car :s :sv :ef))
;; (find-eppp (ee-keymaps :mmal :car :s :sv :-map))
;; (find-eppp (ee-keymaps :mmal :car :s :sv :-map :hv))
;; (find-eppp (ee-keymaps :mmal :car :s     :-map :hv))
;; (find-eppp (ee-keymaps :mmal :car :s           :ef))
;; (find-eppp (ee-keymaps :mmal :car :s     :-map :b))
;; (find-eppp (ee-keymaps :mmal :car :s     :-map :b :hv))
;; (find-eppp (ee-keymaps :mmal :car :s     :-map :nb))



;; Local Variables:
;; coding:  utf-8-unix
;; End:
